Bug 1020750 - Error messages are given out when installing alembic for python-2.7
Error messages are given out when installing alembic for python-2.7
Status: CLOSED DEFERRED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 04:57 EDT by Ma xiaoqiang
Modified: 2016-07-03 20:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 15:19:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2013-10-18 04:57:01 EDT
Description of problem:
Error messages are given out when installing alembic for python-2.7

Version-Release number of selected component (if applicable):
puddle:[2.0/2013-10-15.2] 
http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterpriseErrata/2.0/2013-10-15.2/


How reproducible:
always

Steps to Reproduce:
1.create a python app
rhc app create pyapp python-2.7 
2.Install alembic by modifying the setup.py as below:
#cat setup.py
from setuptools import setup

setup(name='YourAppName',
      version='1.0',
      description='OpenShift App',
      author='Your Name',
      author_email='example@example.com',
      url='http://www.python.org/sigs/distutils-sig/',
      install_requires=['greenlet', 'gevent','alembic'],
     )
3.git push
#git commit -a -mx; git push 


Actual results:

remote: In file included from gevent/core.c:253:
remote: gevent/libevent.h:9:19: error: event.h: No such file or directory
remote: gevent/libevent.h:38:20: error: evhttp.h: No such file or directory
remote: gevent/libevent.h:39:19: error: evdns.h: No such file or directory
remote: gevent/core.c:427: error: field 'ev' has incomplete type
remote: gevent/core.c:855: warning: parameter names (without types) in function declaration
remote: gevent/core.c: In function '__pyx_f_6gevent_4core___event_handler':
remote: gevent/core.c:1876: warning: implicit declaration of function 'event_pending'



Expected results:
Should install alembic successfully!!

Additional info:
package "libevent-devel"  should be installed on node. this package have been installed on online env , and install alembic successfully!!

Note You need to log in before you can comment on or make changes to this bug.